﻿<%@ PAGE EnableSessionState="True" title="" language="C#" masterpagefile="~/Site.master" autoeventwireup="true"
    inherits="ASLReports.Search" codebehind="Search.aspx.cs" %>

<ASP:CONTENT id="Content2" contentplaceholderid="MainContent" runat="Server">
    <script src="include/ContextMenu.js" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/treeFrame.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-1.8.18.custom.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-timepicker-addon.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-sliderAccess.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/date.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/popup.js") %>" type="text/javascript"></script>
    <script src="include/grid.locale-en.js" type="text/javascript"></script>
    <script src="include/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="include/json2-min.js" type="text/javascript"></script>
    <style type="text/css">
        .myAltRowClass { background-color: #F8F8F8; background-image: none; }
    </style>
    <script type="text/javascript">
        function CreatePopupMenu() {
            oBase = document.getElementById('div');
            var Arguments = {
                Base: oBase,
                Width: 160,
                FontColor: null,
                HoverFontColor: null,
                HoverBackgroundColor: null,
                HoverBorderColor: null,
                ClickEventListener: OnClick
            };

            oCustomContextMenu = new CustomContextMenu(Arguments);
            oCustomContextMenu.AddItem(null, 'Mark Normal Call', false, 'Normal');
            oCustomContextMenu.AddItem("Images/critical.gif", 'Mark Critical Call', false, 'Critical');
            oCustomContextMenu.AddItem("Images/important.gif", 'Mark important Call', false, 'important');
            //oCustomContextMenu.AddSeparatorItem();
            oCustomContextMenu.AddItem("Images/editIcon.png", 'Add/Update Comments', false, 'Comments');
            //oCustomContextMenu.AddSeparatorItem();
            oCustomContextMenu.AddItem("Images/star.png", 'Call Rating Level 1', false, 'RatingLevel1');
            oCustomContextMenu.AddItem("Images/star.png", 'Call Rating Level 2', false, 'RatingLevel2');
            oCustomContextMenu.AddItem("Images/star3.png", 'Call Rating Level 3', false, 'RatingLevel3');
            oCustomContextMenu.AddItem("Images/starwarn.png", 'Call Rating Level 4', false, 'RatingLevel4');
            oCustomContextMenu.AddItem("Images/star_red.png", 'Call Rating Level 5', false, 'RatingLevel5');
            //oCustomContextMenu.AddSeparatorItem();
            oCustomContextMenu.AddItem("Images/lock.gif", 'Never Delete This Call', false, 'Delete');
            //oCustomContextMenu.AddSeparatorItem();
            oCustomContextMenu.AddItem("Images/evaluation.png", 'Add call to Evaluation', false, 'Evaluation');
            g_MenuCreated = 1;
        }
    </script>

    <script type="text/javascript">
        var today = Date.parse('today').toString('yyyy-MM-dd');
        var yesterday = new Date().add(-1).day();
        var firstDayOfMonth = Date.today().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
        var lastDayOfMonth = Date.today().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var month = Date.parse('today').toString('MM');
        var year = Date.parse('today').toString('yyyy');
        var quarterMonth = (Math.floor(month / 3) * 3) + 1;
        var quarter = (Math.floor(month / 3)) + 1;
        var lastQuarter = (quarter > 1) ? quarter - 1 : lastQuarter = 4;
        var quarterStartDate = (quarterMonth < 10) ? year + '-0' + quarterMonth + '-01' : year + '-' + quarterMonth + '-01';
        var quarterEndDate = Date.parse(quarterStartDate).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullMonthStart = Date.today().add(-1).months().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
        var lastFullMonthEnd = Date.today().add(-1).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullQuarterStart = ((((lastQuarter - 1) * 3) + 1) < 10) ? year + '-0' + (((lastQuarter - 1) * 3) + 1) + '-01' : year + '-' + (((lastQuarter - 1) * 3) + 1) + '-01';
        var lastFullQuarterEnd = Date.parse(lastFullQuarterStart).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullYearStart = Date.today().add(-1).years().toString('yyyy') + '-01-01';
        var lastFullYearEnd = Date.today().add(-1).years().toString('yyyy') + '-12-31';
        var currentFullYearStart = Date.parse('today').toString('yyyy') + '-01-01';
        var currentFullYearEnd = Date.parse('today').toString('yyyy') + '-12-31';
        var currentFullWeekStart = Date.monday().toString('yyyy-MM-dd');
        var currentFullWeekEnd = Date.today().moveToDayOfWeek(0);
        var lastFullWeekStart;
        var lastFullWeekEnd;
        if (Date.today().is().monday()) {
            lastFullWeekStart = Date.today().last().monday().toString('yyyy-MM-dd');
            lastFullWeekEnd = Date.today().last().monday().add(+6).days().toString('yyyy-MM-dd');
        }
        else {
            lastFullWeekStart = Date.today().last().monday().add(-7).days().toString('yyyy-MM-dd');
            lastFullWeekEnd = Date.today().last().monday().add(-1).days().toString('yyyy-MM-dd');
        }

        $(document).ready(function () {
            $("#<%= txtTimeStart.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= txtTimeEnd.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtTimeEnd.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtTimeEnd.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtTimeEnd.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= txtTimeStart.ClientID %>").val().split(":")[0] * 3600 + $("#<%=txtTimeStart.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtTimeStart.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtDurationStart.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= txtDurationEnd.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtDurationEnd.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtDurationEnd.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtDurationEnd.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= txtDurationStart.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtDurationStart.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtDurationStart.ClientID %>").val($(this).val());
                }
            });

            $("#<%= IDDurationLimit.ClientID %>").change(function () {
                switch (this.value) {
                    case '0':
                        $("#<%= txtDurationStart.ClientID %>").val('00:00:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:00:00');
                        break;
                    case '1':
                        $("#<%= txtDurationStart.ClientID %>").val('00:00:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:00:10');
                        break;
                    case '2':
                        $("#<%= txtDurationStart.ClientID %>").val('00:00:10');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:00:20');
                        break;
                    case '3':
                        $("#<%= txtDurationStart.ClientID %>").val('00:00:20');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:00:59');
                        break;
                    case '4':
                        $("#<%= txtDurationStart.ClientID %>").val('00:01:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:02:00');
                        break;
                    case '5':
                        $("#<%= txtDurationStart.ClientID %>").val('00:02:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:05:00');
                        break;
                    case '6':
                        $("#<%= txtDurationStart.ClientID %>").val('00:05:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:10:00');
                        break;
                    case '7':
                        $("#<%= txtDurationStart.ClientID %>").val('00:10:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:15:00');
                        break;
                    case '8':
                        $("#<%= txtDurationStart.ClientID %>").val('00:15:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('00:30:00');
                        break;
                    case '9':
                        $("#<%= txtDurationStart.ClientID %>").val('00:00:00');
                        $("#<%= txtDurationEnd.ClientID %>").val('23:59:59');
                        break;
                    default:
                        alert("ERROR! Talk Time");
                        break;
                }
            });

            $("#<%= ShortDateSelect.ClientID %>").change(function () {
                switch (this.value) {
                    case '0':
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', new Date());
                        $("#<%= txtDateStart.ClientID %>").datepicker("setDate", -7);
                        break;
                    case '1': //Today
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', today);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', today);
                        break;
                    case '2': //Yesterday
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', yesterday);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', yesterday);
                        break;
                    case '3': //This week
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', currentFullWeekStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', currentFullWeekEnd);
                        break;
                    case '4': //Last week
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', lastFullWeekStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', lastFullWeekEnd);
                        break;
                    case '5': //This month
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', firstDayOfMonth);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', lastDayOfMonth);
                        break;
                    case '6': //Last month
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', lastFullMonthStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', lastFullMonthEnd);
                        break;
                    case '7': //This Quarter
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', quarterStartDate);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', quarterEndDate);
                        break;
                    case '8': //Last Quarter
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', lastFullQuarterStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', lastFullQuarterEnd);
                        break;
                    case '9': //Year to date
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', currentFullYearStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', today);
                        break;
                    case '10': //Last Year
                        $("#<%= txtDateStart.ClientID %>").datepicker('setDate', lastFullYearStart);
                        $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', lastFullYearEnd);
                        break;
                    default:
                        alert("ERROR! Select Executive Summary");
                        break;
                }
            });

            $("#<%=txtDateStart.ClientID %>").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var endDateTextBox = $("#<%=txtDateEnd.ClientID %>");
                    if (endDateTextBox.val() != '') {
                        var testStartDate = new Date(dateText);
                        var testEndDate = new Date(endDateTextBox.val());
                        if (testStartDate > testEndDate)
                            endDateTextBox.val(dateText);
                    }
                    else {
                        endDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var start = $(this).datepicker('getDate');
                    $("#<%=txtDateEnd.ClientID %>").datepicker('option', 'minDate', new Date(start.getTime()));
                }
            });
            $("#<%=txtDateEnd.ClientID %>").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var startDateTextBox = $("#<%=txtDateStart.ClientID %>");
                    if (startDateTextBox.val() != '') {
                        var testStartDate = new Date(startDateTextBox.val());
                        var testEndDate = new Date(dateText);
                        if (testStartDate > testEndDate)
                            startDateTextBox.val(dateText);
                    }
                    else {
                        startDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var end = $(this).datepicker('getDate');
                    $("#<%=txtDateStart.ClientID %>").datepicker('option', 'maxDate', new Date(end.getTime()));
                }
                , beforeShow: function () {
                    var d = $("#<%= txtDateStart.ClientID %>").datepicker('getDate');
                    if (d) return { minDate: d }
                }
            });

            $("#<%= this.txtDateStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDateEnd.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtTimeStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtTimeEnd.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDurationStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDurationEnd.ClientID %>").attr('readOnly', 'true');
            setDefaultValues();
            function setDefaultValues() {
                if ($("#<%= txtTimeStart.ClientID %>").val() == '')
                    $("#<%= txtTimeStart.ClientID %>").val('00:00:00');
                if ($("#<%= txtTimeEnd.ClientID %>").val() == '')
                    $("#<%= txtTimeEnd.ClientID %>").val('00:00:00');
                if ($("#<%= txtDurationStart.ClientID %>").val() == '')
                    $("#<%= txtDurationStart.ClientID %>").val('00:00:00');
                if ($("#<%= txtDurationEnd.ClientID %>").val() == '')
                    $("#<%= txtDurationEnd.ClientID %>").val('00:00:00');
                if ($("#<%= txtDateEnd.ClientID %>").val() == '')
                    $("#<%= txtDateEnd.ClientID %>").datepicker('setDate', new Date());
                if ($("#<%= txtDateStart.ClientID %>").val() == '')
                    $("#<%= txtDateStart.ClientID %>").datepicker("setDate", new Date());
            }
            HideAutoLogin();
            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
            $("#tdLeftPanel").height($("#IDtblMaster").height() -10 + 'px');
            $("#LeftTree").height($("#tdLeftPanel").height() - $("#tblSearchPanelID").height() - 30  + 'px');
            $("#tdGrid").height($("#IDtblMaster").height() - 65 + 'px');

            var ASPlayer = document.getElementById("ASPlayer");
            ASPlayer.EnableMultiCallsPlay(1);
            ASPlayer.SetServerIP = location.host;
            dataBindToGrid();
            jQuery("input#LoadData").live("click", dataBindToGrid);
            jQuery("input#LoadData").live("click", RefreshGrid);
            jQuery("input#SubmitCommenst").live("click", SubmitComments);
            EnableSaveFile(g_SaveCall);
            if ($(window).width() > 1000) {
                $("#gridoptions").css('top', ($(window).height() - $("#gridoptions").height() - 25)).css('left', ($(window).width() - 150));
                $('#gridoptions').show();
                if (readCookie("showGridpopup") != null)
                    $("#showGridpopup").prop('checked', true);
                if (readCookie("showGridPopupHidden") != null)
                    $("#showGridPopupHidden").prop('checked', true);
            } else {
                $('#gridoptions').hide();
            }

            
            //------------------------Load Survey list in dropdown list-----------------------------------------------------
            $.ajax({ type: "POST",
                url: "PageFunctions.aspx/GetSurveyListDropDownList",
                contentType: "application/json; charset=utf-8",
                data: {},  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: LoadSurveyDropdownList,
                error: FailedSurvey
            });
        });

        function LoadSurveyDropdownList(results) {
            try {
                var obj = $.parseJSON(results.d);
                var option = '';
                $.each(obj, function () {
                    option += '<option value="' + this["ID"] + '">' + this["Title"] + '</option>';
                });

                $('#QAList').append(option);
                
            } catch (e) {
                alert("LoadSurvey List JSON parsing Error.");
            }
        }

        function FailedSurvey(result) {
            alert(result.status + ' ' + result.statusText);
        }
        
        function TreeLogicforSQLOptions() {
            var SQL = '';
            var oldCheckBoxStatusVal = '';
            var elements = document.getElementById("<%= UsersTree.ClientID %>").getElementsByTagName('input');
            for (var i = 0; i < elements.length; i++) {
                if (elements.item(i).type == "checkbox") {
                    if (elements.item(i).checked) {
                        var NodeValue = elements.item(i).nextSibling;
                        var ValuesofNode = NodeValue.nameProp.split("\\");
                        ValuesofNode = $(ValuesofNode).last()[0];
                        ValuesofNode = ValuesofNode.slice(0, -2);
                        var param = ValuesofNode.split(":");
                        var param1 = param[0];
                        var param2 = param[1];
                        var isGroup = param[2];
                        var treeID;
                        if (g_UserType == 1) { treeID = "#<%= ddlFilterUserTree.ClientID %>"; }
                        else { treeID = "#<%= ddlFilterUserTree1.ClientID %>"; }
                        if (isGroup.toString() == "0" || g_UserType == 0) {
                            var Parent = GetParentByTagName123("div", elements.item(i)).previousSibling;
                            var ParentCheckBox = Parent.getElementsByTagName("input")[0];
                            if (ParentCheckBox != null) {
                                if (param2 != "") {
                                    if (ParentCheckBox.checked && g_UserType == 0) {
                                        if (SQL == '') {
                                            SQL = SQL + " and (";
                                        }
                                        else {
                                            SQL = SQL + " or ";
                                        }
                                        if ($(treeID).val() == 0) {
                                            SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                        } else {
                                            SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")";
                                        }
                                    }
                                    else {
                                        if (SQL == '') {
                                            SQL = SQL + " and (";
                                        }
                                        else {
                                            SQL = SQL + " or ";
                                        }
                                        if ($(treeID).val() == 0) {
                                            SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                        } else {
                                            SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")";
                                        }
                                    }
                                }
                            }
                        }
                        else {

                            if (g_UserType == 1) {
                                if ($(elements.item(i)).next().html() == 'Parent') {
                                    break;
                                }
                                else {

                                    if (SQL == '') {
                                        SQL = SQL + " and (";
                                    }
                                    else {
                                        SQL = SQL + " or ";
                                    }
                                    SQL = SQL + "(CI.GroupNum IN (" + param1 + "))";
                                    oldCheckBoxStatusVal = param1
                                }
                            }
                        }
                    }
                }
            }
            if (SQL != "")
                SQL = SQL + " )";
            return SQL;
        }

        function getProducts(pdata) {
            $("#blocker").show();
            var _Critical = 0;
            var _BookMark = 0;
            var _StarMark = 0;
            var _LOD = 0;
            if ($("#<%= cblstBoxes.ClientID %>" + "_0").is(':checked')) _Critical = 1; ;
            if ($("#<%= cblstBoxes.ClientID %>" + "_1").is(':checked')) _BookMark = 1;
            if ($("#<%= cblstBoxes.ClientID %>" + "_2").is(':checked')) _StarMark = 1;
            if ($("#<%= cblstBoxes.ClientID %>" + "_3").is(':checked')) _LOD = 1;
            var params = new Object();
            params.StartDate = $("#<%= txtDateStart.ClientID %>").val();
            params.EndDate = $("#<%= txtDateEnd.ClientID %>").val();
            params.TimeStart = $("#<%= txtTimeStart.ClientID %>").val();
            params.TimeEnd = $("#<%= txtTimeEnd.ClientID %>").val();
            params.DurationStart = $("#<%= txtDurationStart.ClientID %>").val();
            params.DurationEnd = $("#<%= txtDurationEnd.ClientID %>").val();
            params.FieldsText = $("#<%= txtFieldsText.ClientID %>").val();
            params.ddlFields = $("#<%= ddlFields.ClientID %>").val();
            params.Critical = _Critical;
            params.BookMark = _BookMark;
            params.StarMark = _StarMark;
            params.LOD = _LOD;
            params.RatingLevel = $("#<%= DROPDOWNLISTRating.ClientID %>").val();
            params.CallDirection = $("#<%= CallDirection.ClientID %>").val();
            params.CallAnswered = $("#<%= CallAnswered.ClientID %>").val();
            var SQL = TreeLogicforSQLOptions();
            params.OptionSTR = SQL;
            if (g_UserType == 0 && SQL == "") {
                if (g_FirstTime == 0) {
                    g_FirstTime = 1;
                    $("#blocker").hide();
                    return;
                }
                alert("Please select users.");
                $("#blocker").hide();
                return;
            }
            params.page = pdata.page;
            params.rows = pdata.rows;
            params.sidx = pdata.sidx;
            params.sord = pdata.sord;

            if (pdata.page == '1') {
                $.ajax({
                    url: "PageFunctions.aspx/GetProducts",
                    data: JSON.stringify(params),  // For empty input data use "{}",
                    dataType: "json",
                    type: "POST",
                    serializeGridData: function (postData) {
                        return JSON.stringify(postData);
                    },
                    contentType: "application/json; charset=utf-8",
                    success: successFunction,
                    error: ErrorFunction

                });
            }
            else {
                $.ajax({
                    url: "PageFunctions.aspx/GetProductsNextPage",
                    data: JSON.stringify(params),  // For empty input data use "{}",
                    dataType: "json",
                    type: "POST",
                    serializeGridData: function (postData) {
                        return JSON.stringify(postData);
                    },
                    contentType: "application/json; charset=utf-8",
                    success: successFunction,
                    error: ErrorFunction

                });
            }
        }

        function EnableSaveFile(g_SaveCall) { try { var ASPlayer = document.getElementById("ASPlayer"); ASPlayer.EnableFileSave(g_SaveCall);} catch (e) { return false; } }
        function EnableMultiChannel(EnableMultiChannel) { try { var ASPlayer = document.getElementById("ASPlayer"); ASPlayer.EnableMultiCallsPlay(EnableMultiChannel); } catch (e) { return false; } }

        var l_LoggedCallID = -1;
        function UpdateGrid(GridCallIndex, lType, lSubType, wParam, lParam) {
            if (GridCallIndex < 0 || lType == undefined)
                return 0;

            //alert(GridCallIndex);
            var ASPlayer = document.getElementById("ASPlayer");
            if (!ASPlayer) { alert("Player is not loaded."); return; }
            if (lSubType == -599) {
                var ID = "img001" + GridCallIndex.toString();
                if ($('#' + ID)) {
                    document.getElementById(ID).src = "images/unlicensed.gif";
                    document.getElementById(ID).title = "Sofware is not licensed or license expired and you cannot play calls.";
                }
                jQuery("#list").setSelection(GridCallIndex, false);
                ASPlayer.RemovePlayList(GridCallIndex);
                alert("Sofware is not licensed or license expired and you cannot play calls.");
                return 0;
            }
            switch (lType) {
                case 0: // Play Info Case
                    break;
                case 1: // Play Case
                    var ID = "img001" + GridCallIndex.toString();
                    if ($('#' + ID)) {
                        document.getElementById(ID).src = "images/play.gif";
                        document.getElementById(ID).title = "Call is playing.";
                        if (!$('#' + GridCallIndex + ' input[type=checkbox]').prop('checked'))
                            $("#list").setSelection(GridCallIndex, true);

                    }
                    if (l_LoggedCallID != GridCallIndex) {
                        l_LoggedCallID = GridCallIndex;
                        SaveCallOperationLog(GridCallIndex, 1);
                    }

                    GetBooksMarks(GridCallIndex);
                    break;
                case 2: // Pause
                    var ID = "img001" + GridCallIndex.toString();
                    if ($('#' + ID)) {
                        document.getElementById(ID).src = "images/pause.gif";
                        document.getElementById(ID).title = "Call Playback paused.";
                    }
                    break;
                case 3: // Stop
                    if (GridCallIndex < 0) return 0;
                    ASPlayer.StopCallLoader(GridCallIndex);
                    var ID = "img001" + GridCallIndex.toString();
                    if ($('#' + ID)) {
                        document.getElementById(ID).src = "images/complete.gif";
                        document.getElementById(ID).title = "Playback completed.";
                        if (!$('#' + GridCallIndex + ' input[type=checkbox]').prop('checked'))
                            $("#list").setSelection(GridCallIndex, true);
                    }
                    break;
                case 16: // Multi-channel
                    ASPlayer.StopCallLoader(GridCallIndex);
                    break;
                case 4: // Error
                    var ID = "img001" + GridCallIndex.toString();
                    if ($('#' + ID)) {
                        document.getElementById(ID).src = "images/Error.gif";
                        if (parseInt(lSubType) == 1053)
                            document.getElementById(ID).title = "PlaybackServer is not running or Call File missing.";
                    }
                    jQuery("#list").setSelection(GridCallIndex, false);
                    if (GridCallIndex == -1 && lSubType == -1) { if (ASPlayer.GetPlayListCount() > 0) { ASPlayer.PlayEx(); } }
                    else {
                        switch (lSubType) {
                            case 0:
                            case -1:
                                if (ASPlayer.GetPlayListCount() > 0) { ASPlayer.PlayEx(); }
                                break;
                            default:
                                ASPlayer.RemovePlayList(GridCallIndex);
                                break;
                        }
                    }
                    break;
                case 5: // Save Case
                    if (l_LoggedCallID != GridCallIndex) {
                        l_LoggedCallID = GridCallIndex;
                        SaveCallOperationLog(GridCallIndex, 5); //5 = save case
                    }
                    break;
                case 9: // check row
                    $("#list").setSelection(GridCallIndex, true);
                    break;
                default:
            }
        }

        function DelCallFromList(idx) { try { ASPlayer.RemovePlayList(idx); } catch (e) { } }
        function Play() { try { if (ASPlayer.GetPlayListCount() > 0) { ASPlayer.PlayEx(); } } catch (e) { } }
        function SaveBookMark(GridPlayIdx, lPlayPos, bstrBookMark, lSaveType) {
            try {
                var RowData = jQuery("#list").getRowData(GridPlayIdx);
                CallIDIDX = RowData['CallIDIDX'];
                re = /\$|,|@|#|~|`|\%|\*|\^|\&|\(|\)|\+|\=|\[|\-|\_|\]|\[|\}|\{|\;|\:|\'|\"|\<|\>|\?|\||\\|\!|\$|\./g;
                bstrBookMark = bstrBookMark.replace(re, '').replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, ' ');
                SaveAsloggerBookMarks(CallIDIDX, lPlayPos, bstrBookMark, lSaveType);
            }
            catch (e) { return; }
        }
        function OnMultiChannelStatus(lStatus) { try { UpdateGrid(lStatus); } catch (e) { return; } }
        
        window.onresize = foo;
        function foo() {
            /*var gridId = $("#list").attr('id');
            $("#tdGrid").height($(window).height() - 110 - 65 + 'px');
            $("#tdGrid").width($(window).width() - 250 + 'px');
            
            $('#' + gridId).setGridWidth($(window).width() - 250);
            $('#' + gridId).setGridHeight($(window).height() - 100 - 65);
            */
        }


        var prm = Sys.WebForms.PageRequestManager.getInstance();
        prm.add_beginRequest(BeginRequestHandler);
        prm.add_endRequest(EndRequestHandler);

        function BeginRequestHandler(sender, args) {
        }

        function EndRequestHandler(sender, args) {
            $("#LeftTree").height($("#tdLeftPanel").height() - 340 + 'px');
        }

        function AddCallListtoEvaluations() {
            var CallIds = "";
            var rows = $("#list").getDataIDs();
            for (var a = 0; a < rows.length; a++) {
                var row = $("#list").getRowData(rows[a]);
                if ($('#' + row["Index"] + ' input[type=checkbox]').prop('checked')) {
                    if (CallIds != "")
                        CallIds = CallIds + ";" + row["CallIDIDX"];
                    else
                        CallIds = row["CallIDIDX"];
                }
            }
            if (CallIds != "") {
                document.getElementById("EvalCallID").value = CallIds;
                AddCalltoEvaluationDlg();
                return false;
            } else {
                alert("Please select calls you want to add in evaluations.");
                return false;
            }

        }
        function AddCalltoEvaluationDlg() {
            $("#AddCalltoEvaluation").dialog({
                width: '340px',
                title: 'Add Call to Evaluation',
                modal: true,
                open: function () {
                    $(this).parent().appendTo();
                }
            });
        }

        function AddCallToEvaluations() {
            $("#blocker").show();
            if ($("#QAList").val() == 0) {
                alert("Please select QA Evaluation Form.");
                $("#blocker").hide();
                return false;
            }
            if ($("#EvalCallID").val() == "") {
                alert("Call ID is null.");
                $("#blocker").hide();
                return false;
            }
            var params = new Object();
            params.CallID = $("#EvalCallID").val();
            params.surveyID = $("#QAList").val();
            
            var isShared = "0";
            if ($("#IsShared").is(':checked')) isShared = "1";
            params.IsShared = isShared;

            $.ajax({
                url: "PageFunctions.aspx/AddCallToEvaluations",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        $("#AddCalltoEvaluation").dialog('close');
                        var rows = $("#list").getDataIDs();
                        for (var a = 0; a < rows.length; a++) {
                            var row = $("#list").getRowData(rows[a]);
                            var arr = params.CallID.split(';');
                            $.each(arr, function() {
                                if (row["CallIDIDX"] == this) {
                                    var calEval = 'img003' + row["Index"];
                                    document.getElementById(calEval).src = "images/evaluation.png";
                                    document.getElementById(calEval).title = "Call added to evaluations.";
                                    $("#list").setCell(row["idx"], getColumnSrcIndexByName('list', 'EvalStatusIDX'), '1', '', '');
                                }
                            });
                        }

                        $("#blocker").hide();
                    } else {
                        alert("Already Add Call to QA Evaluation.");
                        $("#AddCalltoEvaluation").dialog('close');
                        $("#blocker").hide();
                    }
                },
                error: function (result) {
                    $("#AddCalltoEvaluation").dialog('close');
                    $("#blocker").hide();
                    alert(result.statusText);
                }
            });
            return false;
        }
        function DelCallList() {
            var CallIds = "";
            var rows = $("#list").getDataIDs();
            for (var a = 0; a < rows.length; a++) {
                var row = $("#list").getRowData(rows[a]);
                if ($('#' + row["Index"] + ' input[type=checkbox]').prop('checked')) {
                    if (CallIds != "")
                        CallIds = CallIds + ";" + row["CallIDIDX"];
                    else
                        CallIds = row["CallIDIDX"];
                }
            }
            if (CallIds != "") {
                document.getElementById("EvalCallID").value = CallIds;
                if (window.confirm("Are you sure to delete the selected calls(s)?") == true) {
                    var params = new Object();
                    params.CallIDs = $("#EvalCallID").val();
                    $.ajax({
                        url: "PageFunctions.aspx/DelCallList",
                        data: JSON.stringify(params),  // For empty input data use "{}",
                        dataType: "json",
                        type: "POST",
                        serializeGridData: function (postData) {
                            return JSON.stringify(postData);
                        },
                        contentType: "application/json; charset=utf-8",
                        success: function (result) {
                            if ($.isNumeric(result.d) && result.d > 0) {
                                $("#AddCalltoEvaluation").dialog('close');
                                var rows = $("#list").getDataIDs();
                                for (var a = 0; a < rows.length; a++) {
                                    var row = $("#list").getRowData(rows[a]);
                                    var arr = CallIds.split(';');
                                    $.each(arr, function () {
                                        if (row["CallIDIDX"] == this) {
                                            $("#list").delRowData(row["Index"]);
                                        }
                                    });
                                }

                                $("#blocker").hide();
                            } else {
                                $("#AddCalltoEvaluation").dialog('close');
                                alert("Unable to delete selected calls.");
                                $("#blocker").hide();
                            }
                        },
                        error: function (result) {
                            $("#AddCalltoEvaluation").dialog('close');
                            alert("Unable to delete selected calls.");
                            $("#blocker").hide();
                            alert(result.statusText);
                        }
                    });
                }
            } else {
                alert("Please select calls you want to add in evaluations.");
            }
        }
    </script>

    <script language='javascript' for='ASPlayer' event='PlayInfo(GridPlayIdx,lType,lSubType,wParam,lParam)'>
    <!--
        UpdateGrid(GridPlayIdx,lType,lSubType,wParam,lParam);
	-->	
    </script>

    <script language='javascript' for='ASPlayer' event='MultiChannelStatus(lStatus)'>
	<!--
		OnMultiChannelStatus(lStatus);
	-->
    </script>

    <script language='javascript' for='ASPlayer' event='SaveBookMark(GridPlayIdx, lPlayPos, bstrBookMark, lSaveType)'>
	<!--
	    SaveBookMark(GridPlayIdx, lPlayPos, bstrBookMark, lSaveType);
	-->
    </script>
    <div id="blocker" style="display:none">
        <div style="width: 80px; height: 60px;padding-left: 15px; padding-top: 15px; background-color:#ECE9D8; border:1px solid black;filter: alpha(opacity = 90);opacity:.90;"><img src="Images/Loader.gif" alt="Please wait while Loading..."/><br/><span style="font-family:Calibri;font-size:14pt;">Loading...</span></div>
    </div>
    <table class="main" cellpadding="0" cellspacing="0" border="0" id="tableMain" style="height: 100%; width: 100%;background-color: #F8F8F8;">
        <tr id="IDtrParent">
            <td class="leftCol" valign="bottom" id="tdLeftPanel" style="background-color:#D5EBF6; height: 100%; width: 250px;">
                <table style="width: 100%; height:100%;">
                <tr>
                    <td id="UserTreeTDID">
                        <ASP:UPDATEPANEL runat="server" id="upd1" updatemode="Always" rendermode="Block">
                            <CONTENTTEMPLATE>
                                <%
                                    if (getUsertype() == 1)                                            
                                {%>
                                <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                                    autopostback="true" cssclass="DropDownChannels">

                                    <ASP:LISTITEM text="Show Channel Names" value="4"></ASP:LISTITEM>
                                    <ASP:LISTITEM text="Show Users" value="0" selected="True"></ASP:LISTITEM>
                                    <ASP:LISTITEM text="Show Groups" value="-1"></ASP:LISTITEM>
                                    <ASP:LISTITEM text="Show Channels" value="1"></ASP:LISTITEM>
                                </ASP:DROPDOWNLIST>
                                <%}
                                else
                                {%>
                                <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree1" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                                    autopostback="true" cssclass="DropDownChannels">
                                    <ASP:LISTITEM text="Show Channel Names" value="4"></ASP:LISTITEM>                                        
                                    <ASP:LISTITEM text="Show Channels" value="1" selected="True"></ASP:LISTITEM>
                                </ASP:DROPDOWNLIST>
                                <%} %>
                                <div style="width: 100%; height: 200px; float: left; overflow: auto;" id="LeftTree">
                                    <ASP:TREEVIEW id="UsersTree" runat="server" showlines="true" showcheckboxes="All" cssclass="TreeViewLinkdesign">
                                    </ASP:TREEVIEW>
                                </div>
                            </CONTENTTEMPLATE>
                        </ASP:UPDATEPANEL>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div  style="width: 100%; height: 310px; float: left; overflow: auto; background: #A1D8F1;border-top: 1px solid #099CD0; vert-align: top;">
                            <table id="tblSearchPanelID" cellpadding="2" cellspacing="2" style="background: #A1D8F1; width: 99%; height: 99%;
                                margin: 1px; padding-top: 5px;">
                                <tr>
                                    <td class="SearchCSS">
                                        Shortcut date:
                                    </td>
                                    <td colspan="2">
                                        <ASP:DROPDOWNLIST id="ShortDateSelect" runat="server" cssclass="DropDown4Search">
                                            <ASP:LISTITEM value="1" text="Today"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="2" text="Yesterday"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="3" text="This week"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="4" text="Last week"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="5" text="This month"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="6" text="Last month"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="7" text="This Quarter"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="8" text="Last Quarter"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="9" text="Year to date"></ASP:LISTITEM>
                                            <ASP:LISTITEM value="10" text="Last Year"></ASP:LISTITEM>
                                        </ASP:DROPDOWNLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">
                                        Start Date:
                                    </td>
                                    <td colspan="2">
                                        <ASP:TEXTBOX id="txtDateStart" cssclass="textEntry" runat="server"></ASP:TEXTBOX>&nbsp;&nbsp;
                                        <ASP:TEXTBOX id="txtTimeStart" cssclass="textEntry" runat="server" text=""></ASP:TEXTBOX>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">
                                        End Date:
                                    </td>
                                    <td valign="top" colspan="2">
                                        <ASP:TEXTBOX id="txtDateEnd" cssclass="textEntry" runat="server"></ASP:TEXTBOX>&nbsp;&nbsp;
                                        <ASP:TEXTBOX id="txtTimeEnd" cssclass="textEntry" runat="server" text=""></ASP:TEXTBOX>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">Shortcut Dur:</td>
                                    <td colspan="2">
                                        <asp:DropDownList ID="IDDurationLimit" runat="server" CssClass="DropDown4Search">
                                            <asp:ListItem Value="0" Text="Any Length"></asp:ListItem>
                                            <asp:ListItem Value="1" Text="Less than 10 seconds"></asp:ListItem>
                                            <asp:ListItem Value="2" Text="Between 10 and 20 seconds"></asp:ListItem>
                                            <asp:ListItem Value="3" Text="Between 20 and 59 seconds"></asp:ListItem>
                                            <asp:ListItem Value="4" Text="Between 1 and 2 minutes"></asp:ListItem>
                                            <asp:ListItem Value="5" Text="Between 2 and 5 minutes"></asp:ListItem>
                                            <asp:ListItem Value="6" Text="Between 5 and 10 minutes"></asp:ListItem>
                                            <asp:ListItem Value="7" Text="Between 10 and 15 minutes"></asp:ListItem>
                                            <asp:ListItem Value="8" Text="Between 15 and 30 minutes"></asp:ListItem>
                                            <asp:ListItem Value="9" Text="Longer than 30 minutes"></asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS" nowrap="nowrap">
                                        Call Duration:
                                    </td>
                                    <td colspan="2">
                                        <ASP:TEXTBOX id="txtDurationStart" cssclass="textEntry" runat="server"></ASP:TEXTBOX>&nbsp;&nbsp;
                                        <ASP:TEXTBOX id="txtDurationEnd" cssclass="textEntry" runat="server"></ASP:TEXTBOX>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">
                                        Call Type:
                                    </td>
                                    <td colspan="2">
                                        <ASP:DROPDOWNLIST id="CallAnswered" cssclass="DropDown4Search" runat="server">
                                            <ASP:LISTITEM text="All Calls have duration" value="2"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Answered Calls" value="1"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Unanswered Calls" value="0"></ASP:LISTITEM>
                                        </ASP:DROPDOWNLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">
                                        Direction:
                                    </td>
                                    <td colspan="2">
                                        <ASP:DROPDOWNLIST id="CallDirection" cssclass="DropDown4Search" runat="server">
                                            <ASP:LISTITEM text="All Calls" value="0"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Inbound Calls" value="1"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Outbound Calls" value="2"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Unknown Direction" value="3"></ASP:LISTITEM>
                                        </ASP:DROPDOWNLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS" nowrap="nowrap">
                                        Search Calls:
                                    </td>
                                    <td colspan="2">
                                        <ASP:TEXTBOX id="txtFieldsText" cssclass="textEntry2" runat="server"></ASP:TEXTBOX>
                                    </td>
                                </tr>                        
                                <tr>
                                    <td class="SearchCSS">
                                        By Field:
                                    </td>
                                    <td colspan="2">
                                        <ASP:DROPDOWNLIST id="ddlFields" cssclass="DropDown4Search" runat="server">
                                            <ASP:LISTITEM text="Field Seach" value=""></ASP:LISTITEM>
                                            <ASP:LISTITEM text="BookMark" value="BookMarkText"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="CDF FileName" value="FileName"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="ANI TEXT" value="ANI"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="ANI PHONE NUMBER" value="ANI_PH"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="From" value="CallerID"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="To" value="CalledID"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="ANI User Name" value="ANI_NAME"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="ANI complete Any Field" value="ANI_DETAILS"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Call Comments" value="CALL_COMMENT"></ASP:LISTITEM>
                                        </ASP:DROPDOWNLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="SearchCSS">
                                        Call Rating:
                                    </td>
                                    <td colspan="2">
                                        <ASP:DROPDOWNLIST id="DROPDOWNLISTRating" cssclass="DropDown4Search" runat="server">
                                            <ASP:LISTITEM text="All Rating Levels" value="0"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Rating Level 1" value="1"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Rating Level 2" value="2"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Rating Level 3" value="3"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Rating Level 4" value="4"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Rating Level 5" value="5"></ASP:LISTITEM>
                                        </ASP:DROPDOWNLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        &nbsp;
                                    </td>
                                    <td colspan="2" nowrap="nowrap" align="left" class="SearchCheckboxCSS">
                                        <ASP:CHECKBOXLIST runat="server" id="cblstBoxes" repeatcolumns="2" repeatdirection="Vertical">
                                            <ASP:LISTITEM text="Critical" value="Critical"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Book Mark" value="BookMark"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="Important" value="StarMark"></ASP:LISTITEM>
                                            <ASP:LISTITEM text="LOD" value="LOD"></ASP:LISTITEM>
                                        </ASP:CHECKBOXLIST>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3" align="center" valign="bottom">
                                        <input type="button" id="LoadData" value="Search" class="submitButton" />
                                    </td>
                                </tr>
                            </table>
                        </div>
                        </td>
                    </tr>
                </table>
            <td id="IDGridPlayer" style="vertical-align: top;border: solid 1px #7f9db9;">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td valign="top" id="tdGrid" style="width:100px; height:100px;" colspan="2">
                            <table id="list" class="scroll" cellpadding="0" cellspacing="0">
                            </table>
                            <div id="pager" class="scroll" style="text-align: center;"></div>                            
                        </td>
                    </tr>
                    <tr style="height: 55px">
                        <td>
                            <img style="margin-left: 5px; margin-right: 5px;" src="Images/Eval32.jpg" title="Add selected calls to evaluations" alt="Add to evaluations" onclick="AddCallListtoEvaluations();"/>
                            <img src="Images/delCalls.jpg" title="Delete Selected Calls" alt="Delete selected calls" onclick="DelCallList();"/>
                        </td>
                        <td valign="bottom" align="center">
                            <div style="width: 85%; float: left; height: 50px; margin-bottom:5px;" id="ASPlayerDivID">
                                <object id="ASPlayer" height="50" width="620" classid="CLSID:789D82F3-94EB-4508-AFB7-64928DCFB306"
                                    codebase="ASLPLayer.cab">
                                    <param name="NotifyProcess" value="1"/>
                                    <param name="Version" value="1"/>
                                </object>
                            </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
     <div id="UpdateCallStatusPopup" style="display: none">
        <table cellpadding="0" cellspacing="0" border="0">
            <tr><td>Add/Update Comments</td></tr>            
            <tr><td><textarea id="txtComments" name="txtComments" rows="5" cols="40"></textarea></td></tr>
             <tr><td><input type="button" id="SubmitCommenst" value="Submit" class="submitButton" /></td></tr>   
             <input type="hidden" value="asdf" id="MYUpDateCallID" />
        </table>
    </div>
    <div id="AddCalltoEvaluation" style="display: none">
        <table cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td class="textcolor" align="right">Evaluation Form:</td>
                <td class="textcolor">
                    <select id="QAList" class="comboBoxQA">
                        <option value="0">Select Evaluation Form</option>
                    </select>
                </td>
            </tr>
            <tr><td>&nbsp;</td><td class="textcolor" style="padding-top: 10px;"><input type="checkbox" id="IsShared" class="SearchCheckboxCSS"/>Is Shared Evaluation?</td></tr>
            <tr><td style="height: 30px; padding-top: 50px;">&nbsp;</td><td><input type="hidden" value="" id="EvalCallID" /><input type="button" id="btnAddtoEvaluations" value="Add to Evaluations" class="submitButton" onclick="return AddCallToEvaluations();"/></td></tr>
        </table>
    </div>
    <div id="pop-up-grid"></div>
    <div id="gridoptions" style="width:130px;">
        <input type="checkbox" name="showGridPopup" id="showGridpopup" onclick="SetGridPopupValue();" style="font-size:10px;"/>Show Scrolling Items<br/>
        <input type="checkbox" name="showGridPopupHidden" id="showGridPopupHidden" onclick="SetGridPopupValue();" style="font-size:10px;"/>Show Hidden Items
    </div>

    <ASP:HIDDENFIELD runat="server" id="txtRowCount"></ASP:HIDDENFIELD>    
</ASP:CONTENT>
