Const G_HOSTNAME					= "localhost"
Const G_IIS_ROOT_WEBSITE_NAME			= "Default Web Site"
Const c_BASE_WEBSITE_NUM			= 1
Const c_REALDIR						= "%s" 'C:\ASLogger\ASLogger
Const c_VIRTUALDIR					= "%d" 'ASLogger
Const c_CTLVIRTUALDIR				= "install"

c_WEB_OBJECT						= "IIS://" & G_HOSTNAME & "/W3SVC/" & c_BASE_WEBSITE_NUM & "/Root"

Const c_APP_PROTECT_LOW				= 0
Const c_APP_PROTECT_HIGH			= 1
Const c_APP_PROTECT_NOMAL			= 2
const HKEY_LOCAL_MACHINE 			= &H80000002
selectButton = vbOk
If SelectButton = vbOK Then
	
	On Error Resume Next

	Dim WebDir
	Dim oReg
	
    Set WebSite = findWeb(G_HOSTNAME, c_BASE_WEBSITE_NUM)
	
	If Not isObject(WebSite) Then
		msgbox "Unable to find default website"
		WScript.Quit (0)
	End If
    
    Set WebDir = GetObject(c_WEB_OBJECT & "/" & c_VIRTUALDIR)

	If isObject(WebDir) Then
		WebSite.Delete "IIsWebVirtualDir", "Root/" & c_VIRTUALDIR
	End If

	Err.clear

	Set WebDir = Nothing

	If CreateVirtualWebDir(WebSite, c_VIRTUALDIR, c_REALDIR) Then

		Dim dDir

		Set WebDir = GetObject(c_WEB_OBJECT & "/" & c_VIRTUALDIR)

	End If
	Set WebSite = Nothing

End If
Function CreateVirtualWebDir(WebSite, DirName, DirPath)
	
	Dim vRoot, vDir, DirNum
	On Error Resume Next
	CreateVirtualWebDir = False
	
	if IsObject(WebSite) then
		
		Set vRoot = WebSite.GetObject("IIsWebVirtualDir", "Root")

		If (Err <> 0) Then
			msgbox "Unable to find Root virtual directory"
			Exit Function
		Else

			Set vDir = vRoot.Create("IIsWebVirtualDir", DirName)

			If (Err <> 0) Then
				msgbox "Unable to create directory"
				Exit Function
			Else
				vDir.Path = DirPath

				vDir.AccessRead = TRUE
				vDir.AccessSource = FALSE
				vDir.AccessWrite = FALSE
				vDir.DirBrowseFlags = FALSE

				vDir.EnableDefaultDoc = TRUE

				vDir.AccessScript = TRUE
				vDir.AccessExecute = FALSE
				
				vDir.AppFriendlyName = DirName
				vDir.AppCreate(TRUE)
				vDir.AppIsolated = c_APP_PROTECT_NOMAL

				If (Err <> 0) Then
					msgbox "Unable to set directory rights"
					Exit Function
				Else
					vDir.SetInfo

					If (Err <> 0) Then
						msgbox "Unable to set security rights"
						Exit Function
					End If

				End If

			End If

		End If

	Else
		msgbox "Invalid website"
		Exit Function
	End if

	WScript.Echo "Virtual directory create success"

	CreateVirtualWebDir = True

End Function

Function getBinding(bindstr)

	Dim one, two, ia, ip, hn
	
	one=Instr(bindstr,":")
	two=Instr((one+1),bindstr,":")
	
	ia=Mid(bindstr,1,(one-1))
	ip=Mid(bindstr,(one+1),((two-one)-1))
	hn=Mid(bindstr,(two+1))
	
	getBinding=Array(ia,ip,hn)

End Function

Function findWeb(computer, webname)
	'On Error Resume Next
    Dim websvc, site
	dim webinfo
	Dim aBinding, binding

	set websvc = GetObject("IIS://127.0.0.1/W3svc")
	if (Err <> 0) then
		exit function
	end if
	set site = websvc.GetObject("IIsWebServer", webname)
	if (Err = 0) and (not isNull(site)) then
		if (site.class = "IIsWebServer") then
			set findWeb = site
			exit function
		end if
	end if
	err.clear
	for each site in websvc
		if site.class = "IIsWebServer" then
			If site.ServerComment = webname Then
				set findWeb = site
				exit function
			End If
			aBinding=site.ServerBindings
			if (IsArray(aBinding)) then
				if aBinding(0) = "" then
					binding = Null
				else
					binding = getBinding(aBinding(0))
				end if
			else 
				if aBinding = "" then
					binding = Null
				else
					binding = getBinding(aBinding)
				end if
			end if
			if IsArray(binding) then
				if (binding(2) = webname) or (binding(0) = webname) then
					set findWeb = site
					exit function
				End If
			end if 
		end if
	next
End Function
